CMSIS-DSP: arm_pid_instance_q31 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_pid_instance_q31 Struct Reference

Instance structure for the Q31 PID Control.

## Data Fields

q31_t | A0
q31_t | A1
q31_t | A2
q31_t | state [3]
q31_t | Kp
q31_t | Ki
q31_t | Kd

## Field Documentation

q31_t arm_pid_instance_q31::A0

The derived gain, A0 = Kp + Ki + Kd .

q31_t arm_pid_instance_q31::A1

The derived gain, A1 = -Kp - 2Kd.

q31_t arm_pid_instance_q31::A2

The derived gain, A2 = Kd .

q31_t arm_pid_instance_q31::Kd

The derivative gain.

q31_t arm_pid_instance_q31::Ki

The integral gain.

q31_t arm_pid_instance_q31::Kp

The proportional gain.

q31_t arm_pid_instance_q31::state[3]

The state array of length 3.